Functions
i2c_ref_app_breathing.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include "ref_app_breathing.h"`

Go to the source code of this file.

## Functions
ref_app_breathing_config_t * | i2c_ref_app_breathing_get_config (void)
| Get ref app breathing configuration handle. More...
bool | i2c_ref_app_breathing_command (uint32_t command)
| Send command to be executed to i2c ref app breathing. More...
uint32_t | i2c_ref_app_breathing_get_status (void)
| Get ref app breathing status. More...
uint32_t | i2c_ref_app_breathing_get_result (void)
| Get ref app breathing result. More...
float | i2c_ref_app_breathing_get_breathing_rate (void)
| Get breathing rate. More...
ref_app_breathing_app_state_t | i2c_ref_app_breathing_get_app_state (void)
| Get app state. More...
uint32_t | i2c_ref_app_breathing_get_counter (void)
| Get measure counter. More...
uint32_t | i2c_ref_app_breathing_get_frame_rate_mhz (void)
| Get the actual frame rate for the current ref app breathing configuration. More...

## Function Documentation

## ◆ i2c_ref_app_breathing_command()

bool i2c_ref_app_breathing_command | ( | uint32_t | command | ) |

Send command to be executed to i2c ref app breathing.

Parameters

  [in] | command | The command to be executed

Returns
  true if successful

Definition at line 182 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_app_state()

ref_app_breathing_app_state_t i2c_ref_app_breathing_get_app_state | ( | void |  | ) |

Get app state.

Returns
  A state of the application

Definition at line 257 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_breathing_rate()

float i2c_ref_app_breathing_get_breathing_rate | ( | void |  | ) |

Get breathing rate.

Returns
  The breathing rate

Definition at line 245 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_config()

ref_app_breathing_config_t* i2c_ref_app_breathing_get_config | ( | void |  | ) |

Get ref app breathing configuration handle.

Returns
  ref app breathing configuration handle

Definition at line 177 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_counter()

uint32_t i2c_ref_app_breathing_get_counter | ( | void |  | ) |

Get measure counter.

The counter will be increased every time the application completes a measure

Returns
  measure counter from the application

Definition at line 269 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_frame_rate_mhz()

uint32_t i2c_ref_app_breathing_get_frame_rate_mhz | ( | void |  | ) |

Get the actual frame rate for the current ref app breathing configuration.

Returns
  The frame rate in mHz

Definition at line 281 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_result()

uint32_t i2c_ref_app_breathing_get_result | ( | void |  | ) |

Get ref app breathing result.

Returns
  result from ref app breathing

Definition at line 216 of file i2c_ref_app_breathing.c.

## ◆ i2c_ref_app_breathing_get_status()

uint32_t i2c_ref_app_breathing_get_status | ( | void |  | ) |

Get ref app breathing status.

Returns
  status from ref app breathing

Definition at line 204 of file i2c_ref_app_breathing.c.